Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.messageselector
Interface ParserConstants

All Known Implementing Classes:
  Parser, ParserTokenManager

    public interface ParserConstants

Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

Field Summary
`static int` | `AND` RegularExpression Id.
`static int` | `BETWEEN` RegularExpression Id.
`static int` | `BLOCK_COMMENT` RegularExpression Id.
`static int` | `DASH_COMMENT` RegularExpression Id.
`static int` | `DECIMAL` RegularExpression Id.
`static int` | `DEFAULT` Lexical state.
`static int` | `DIGIT` RegularExpression Id.
`static int` | `EOF` End of File.
`static int` | `ESCAPE` RegularExpression Id.
`static int` | `EXPONENT` RegularExpression Id.
`static int` | `FALSE` RegularExpression Id.
`static int` | `FLOAT_SUFFIX` RegularExpression Id.
`static int` | `FLOATING_POINT` RegularExpression Id.
`static int` | `HEX` RegularExpression Id.
`static int` | `IDENTIFIER` RegularExpression Id.
`static int` | `IN` RegularExpression Id.
`static int` | `INTEGER` RegularExpression Id.
`static int` | `IS` RegularExpression Id.
`static int` | `LETTER` RegularExpression Id.
`static int` | `LIKE` RegularExpression Id.
`static int` | `LINE_COMMENT` RegularExpression Id.
`static int` | `NEWLINE` RegularExpression Id.
`static int` | `NOT` RegularExpression Id.
`static int` | `NULL` RegularExpression Id.
`static int` | `OCTAL` RegularExpression Id.
`static int` | `OR` RegularExpression Id.
`static int` | `RETURN` RegularExpression Id.
`static int` | `SIGN` RegularExpression Id.
`static int` | `SPACE` RegularExpression Id.
`static int` | `STRING` RegularExpression Id.
`static int` | `TAB` RegularExpression Id.
`static String[]` | `tokenImage` Literal token values.
`static int` | `TRUE` RegularExpression Id.

Field Detail

### EOF

    static final int EOF

  End of File.

  See Also:
    Constant Field Values

### SPACE

    static final int SPACE

  RegularExpression Id.

  See Also:
    Constant Field Values

### TAB

    static final int TAB

  RegularExpression Id.

  See Also:
    Constant Field Values

### NEWLINE

    static final int NEWLINE

  RegularExpression Id.

  See Also:
    Constant Field Values

### RETURN

    static final int RETURN

  RegularExpression Id.

  See Also:
    Constant Field Values

### DASH_COMMENT

    static final int DASH_COMMENT

  RegularExpression Id.

  See Also:
    Constant Field Values

### LINE_COMMENT

    static final int LINE_COMMENT

  RegularExpression Id.

  See Also:
    Constant Field Values

### BLOCK_COMMENT

    static final int BLOCK_COMMENT

  RegularExpression Id.

  See Also:
    Constant Field Values

### INTEGER

    static final int INTEGER

  RegularExpression Id.

  See Also:
    Constant Field Values

### DECIMAL

    static final int DECIMAL

  RegularExpression Id.

  See Also:
    Constant Field Values

### DIGIT

    static final int DIGIT

  RegularExpression Id.

  See Also:
    Constant Field Values

### SIGN

    static final int SIGN

  RegularExpression Id.

  See Also:
    Constant Field Values

### HEX

    static final int HEX

  RegularExpression Id.

  See Also:
    Constant Field Values

### OCTAL

    static final int OCTAL

  RegularExpression Id.

  See Also:
    Constant Field Values

### FLOATING_POINT

    static final int FLOATING_POINT

  RegularExpression Id.

  See Also:
    Constant Field Values

### EXPONENT

    static final int EXPONENT

  RegularExpression Id.

  See Also:
    Constant Field Values

### FLOAT_SUFFIX

    static final int FLOAT_SUFFIX

  RegularExpression Id.

  See Also:
    Constant Field Values

### STRING

    static final int STRING

  RegularExpression Id.

  See Also:
    Constant Field Values

### TRUE

    static final int TRUE

  RegularExpression Id.

  See Also:
    Constant Field Values

### FALSE

    static final int FALSE

  RegularExpression Id.

  See Also:
    Constant Field Values

### NULL

    static final int NULL

  RegularExpression Id.

  See Also:
    Constant Field Values

### IS

    static final int IS

  RegularExpression Id.

  See Also:
    Constant Field Values

### NOT

    static final int NOT

  RegularExpression Id.

  See Also:
    Constant Field Values

### AND

    static final int AND

  RegularExpression Id.

  See Also:
    Constant Field Values

### OR

    static final int OR

  RegularExpression Id.

  See Also:
    Constant Field Values

### BETWEEN

    static final int BETWEEN

  RegularExpression Id.

  See Also:
    Constant Field Values

### IN

    static final int IN

  RegularExpression Id.

  See Also:
    Constant Field Values

### LIKE

    static final int LIKE

  RegularExpression Id.

  See Also:
    Constant Field Values

### ESCAPE

    static final int ESCAPE

  RegularExpression Id.

  See Also:
    Constant Field Values

### IDENTIFIER

    static final int IDENTIFIER

  RegularExpression Id.

  See Also:
    Constant Field Values

### LETTER

    static final int LETTER

  RegularExpression Id.

  See Also:
    Constant Field Values

### DEFAULT

    static final int DEFAULT

  Lexical state.

  See Also:
    Constant Field Values

### tokenImage

    static final String[] tokenImage

  Literal token values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD